//---------------------------------------------------------------------------

#ifndef Message_FormH
#define Message_FormH
//---------------------------------------------------------------------------
#include <vcl.h>
//#include <Windows.h>
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include "TntButtons.hpp"
#include "TntComCtrls.hpp"
#include "TntStdCtrls.hpp"
#include "TntForms.hpp"

//---------------------------------------------------------------------------
class TMessageForm : public TTntForm
{
__published:	// IDE-managed Components
	TTntLabel *MessageLabel;
	TTntBitBtn *OKBitBtn;
	TTntBitBtn *CancelBitBtn;
	TTimer *WaitingTimer;
	TTntProgressBar *WaitingProgressBar;
    TTntBitBtn *BitBtn1;
    TTntBitBtn *BitBtn2;
	void __fastcall WaitingTimerTimer(TObject *Sender);
	void __fastcall OKBitBtnClick(TObject *Sender);
	void __fastcall CancelBitBtnClick(TObject *Sender);
private:	// User declarations
	int CloseWaitingTime;
    int ShowTime;
public:		// User declarations
	__fastcall TMessageForm(TComponent* Owner);
    int __fastcall MessageDlg(const WideString Msg, TMsgDlgType DlgType, TMsgDlgButtons Buttons);
    int __fastcall WaitingDlg(const WideString Msg, int WaitingTime, TMsgDlgType DlgType, TMsgDlgButtons Buttons);
};
//---------------------------------------------------------------------------
extern int __fastcall MessageDlgFA(const WideString Msg, TMsgDlgType DlgType, TMsgDlgButtons Buttons);
extern int __fastcall WaitingDlgFA(const WideString Msg, int WaitingTime, TMsgDlgType DlgType, TMsgDlgButtons Buttons);
extern void __fastcall ShowMessageFA(const WideString Msg);
extern void ShowMessageW(const WideString Msg);
//---------------------------------------------------------------------------
extern PACKAGE TMessageForm *MessageForm;
//---------------------------------------------------------------------------
#endif
